const GHOST_BASE = 'https://ghost.kingsome.cn/api'


export const checkWord = (params: any) => {
  return new Promise((resolve, reject) => {
    uni.request({
      url: '/check_local/' + encodeURIComponent(params.word),
      success: (res) => {
        resolve && resolve(res.data);
      },
      fail: (err) => {
        reject && reject(err)
      }
    });
  })
}

export const getArticle = (aid: string) => {
  return new Promise((resolve, reject) => {
    uni.request({
      url: `${GHOST_BASE}/emulated/article`,
      method: 'POST',
      data: {id: aid},
      success: (res) => {
        resolve && resolve(res.data);
      },
      fail: (err) => {
        reject && reject(err)
      }
    });
  })
}
/**获取多个游戏的点赞信息*/
export const getZanList = (games: string[]) => {
  return new Promise((resolve, reject) => {
    uni.request({
      url: `${GHOST_BASE}/svr/zan/info`,
      method: 'POST',
      data: {games},
      success: (res: any) => {
        const data = res.data
        if (data.errcode) {
          reject && reject(data.errmsg)
          return
        }
        resolve && resolve(data.data);
      },
      fail: (err) => {
        reject && reject(err)
      }
    });
  })
}
/**更新单个游戏的点赞信息*/
export const updateZanInfo = (game: string, act: number) => {
  return new Promise((resolve, reject) => {
    uni.request({
      url: `${GHOST_BASE}/svr/zan/update`,
      method: 'POST',
      data: {game, act},
      success: (res: any) => {
        const data = res.data
        if (data.errcode) {
          reject && reject(data.errmsg)
          return
        }
        resolve && resolve(data.data);
      },
      fail: (err) => {
        reject && reject(err)
      }
    });
  })
}

/**获取收藏列表*/
export const getCollectList = () => {
  return new Promise((resolve, reject) => {
    uni.request({
      url: `${GHOST_BASE}/svr/collect/list`,
      method: 'POST',
      data: {},
      success: (res: any) => {
        const data = res.data
        if (data.errcode) {
          reject && reject(data.errmsg)
          return
        }
        resolve && resolve(data.data);
      },
      fail: (err) => {
        reject && reject(err)
      }
    });
  })
}
/**更新单个游戏的点赞信息*/
export const updateCollectInfo = (game: string, act: number) => {
  return new Promise((resolve, reject) => {
    uni.request({
      url: `${GHOST_BASE}/svr/collect/update`,
      method: 'POST',
      data: {game, act},
      success: (res: any) => {
        const data = res.data
        if (data.errcode) {
          reject && reject(data.errmsg)
          return
        }
        resolve && resolve(data.data);
      },
      fail: (err) => {
        reject && reject(err)
      }
    });
  })
}


