const DATA_BASE = 'https://sps.kingsome.cn'
const JC_DATA_BASE = 'https://ghost.kingsome.cn/api/svr'

export const searchGames = (params: any) => {
  let data = {skip: 0, limit: 10}
  Object.assign(data, params)
  return new Promise((resolve, reject) => {
    uni.request({
      url: `${DATA_BASE}/getgamelist`,
      data,
      success: (res) => {
        resolve && resolve(res.data);
      },
      fail: (err) => {
        reject && reject(err)
      }
    });
  })
}

export const getGameInfo = (gameId: string) => {
  let data = {oldGameId: gameId}
  return new Promise((resolve, reject) => {
    uni.request({
      url: `${DATA_BASE}/getgameinfoext`,
      data,
      success: (res: any) => {
        if (!res.data.oldGameId) {
          reject && reject('blank')
        } else {
          resolve && resolve(res.data);
        }

      },
      fail: (err) => {
        reject && reject(err)
      }
    });
  })
}

export const getGameInfoJC = (gameId: string) => {
  let data = {oldGameId: gameId}
  return new Promise((resolve, reject) => {
    uni.request({
      url: `${JC_DATA_BASE}/getgameinfoext`,
      data,
      success: (res: any) => {
        if (!res.data.errcode) {
          resolve && resolve(res.data.data);
        } else {
          reject && reject(res.data.errmsg)
        }

      },
      fail: (err) => {
        reject && reject(err)
      }
    });
  })
}

export const getGamePrice = (gameId: string, nums: number = 0) => {
  const data = {oldGameId: gameId, nums}
  return new Promise((resolve, reject) => {
    uni.request({
      url: `${DATA_BASE}/getgameprice`,
      data,
      success: (res: any) => {
        if (!res.data.oldGameId) {
          reject && reject('blank')
        } else {
          resolve && resolve(res.data);
        }
      },
      fail: (err) => {
        reject && reject(err)
      }
    });
  })
}


export const getGamePriceJC = (gameId: string, nums: number = 0) => {
  const data = {oldGameId: gameId, nums}
  return new Promise((resolve, reject) => {
    uni.request({
      url: `${JC_DATA_BASE}/getgameprice`,
      data,
      success: (res: any) => {
        if (!res.data.errcode) {
          resolve && resolve(res.data.data);
        } else {
          reject && reject(res.data.errmsg)
        }
      },
      fail: (err) => {
        reject && reject(err)
      }
    });
  })
}
